RSS Feed
News
Apr
3
cPanel server migrations as mandated by cPanel/CentOS
Posted by SITEWORKS SYS on 03 April 2020 05:26 PM

cPanel announced that the operating system version CentOS 6x will no longer provide bug, security, or feature updates on any version 6x servers and required us to migrate to CentOS 7x before the November deadline. There was no upgrade in place pathway to do so, other than migrate onto new hardware. We are in the process of handling these migrations during the first two weeks of April 2020. We will be using the cPanel transfer tool system to do so and downtime should be minimal as each site propagates new DNS. We apologize in advance for the inconvenience and appreciate your patience with the process.

Bright side? As result of hardware upgrade we are happy to increase your storage allowance upon request.

*** If you use external DNS you will need to contact us to receive a new IP# to use at your registrar. (most clients do not manage their own DNS)

Your account MAY show as suspended for a short time as this is a feature cPanel has put in place for their transfer tool so that new data does not get written to the old location while it routes to the new server. Ideally this should instead say the site is in transition but alas it is in place by the cPanel control panel.

Usually ALL issues self correct within a few hours as the site routing updates and you will see your site and email active as usual. ould wait. Please open a ticket https://support.siteworks.com as needed for any problems noted with your website or services.

IMPORTANT UPDATE! If your site is still showing a MIGRATION/SUSPENDED page instead of browsing, please try this to clear your local DNS cache OR troubleshooting tip; try browsing the site from your phone using mobile data not wifi.

 
WINDOWS; run at command line

ipconfig /flushdns

 

For Mac OSX

Step 1: Open the Terminal
Navigate to Applications -> Utilities -> Terminal
Step 2: Flush DNS - Type the following command and hit enter.

Mac OS X Yosemite and later
sudo killall -HUP mDNSResponder

Mac OS X Yosemite v10.10 through v10.10.3
sudo discoveryutil mdnsflushcache

Mac OS X Mavericks, Mountain Lion and Lion
sudo killall -HUP mDNSResponder

Mac OS X Snow Leopard
sudo dscacheutil -flushcache


Read more »



Aug
31
FINAL! PHP 5.6 and 7.1 no longer supported
Posted by SITEWORKS SYS on 31 August 2019 03:12 PM

UPDATE FEBRUARY 26, 2020

Due to mandatory cPanel changes we will be migrating current cPanel clients to CentOs 7 servers in the next few days.  With this change, the PHP upgrades that started in August will be fully completed. Php 5.6 and 7.1 will no longer be available on shared servers and will only be available to VPS accounts so that the security risks and vulnerabilities are limited to that account only. Contact us by ticket if you need further discussion.

 

AUGUST 29, 2019:

The PHP Upgrade had been announced ahead of time in all cPanel dashboards and then again updated upon completion. The 5.6x version went end-of-life (EOL) 8 months ago and therefore no longer received security updates. We left the unsupported version in use for as  long as possible, but we have to make decisions that are good for SHARED SERVERS overall. If you need to use older versions, please contact us for a quote to be on your own virtual private server (VPS) or dedicated server - where you and/or your clients have control of the versions and resources.

Nearly all problems we have seen for clients after the PHP upgrade have to do with outdated wordpress themes or plugins - especially noting that revslider is a popular one that users left un-updated. Rename revslider in the plugins directory if needed, until you can handle it properly.

If you have deprecated PHP coding problems, start by looking in your error_log - generally in your www directory OR in your wordpress install directory, if non default.

If you can login to your Wordpress dashboard, UPDATE themes and plugins as needed. SOME themes such as Btheme that are quite outdated do not show an upgrade path because they are so old. Example, current version 21.3.4 - August 26, 2019 and you'll need to upgrade it manually.

You are welcome to open a ticket and we will try to help with cursory troubleshooting.

 

NOTE: 

https://www.php.net/manual/en/migration70.php

https://www.php.net/eol.php


Read more »